import vl from 'vega-lite-api';

export const viz = vl
	// specify mark type: Point / Line / Area ...
	.markCircle({ size: 300, opacity: 0.5 })
	// inside encode(): specify chanenels
	.encode(
	// set x position: a field type (Q: Quantitative, T: Time)
	vl.x().fieldQ('weight').scale({ zero: false }), // don't start with 0 (axis value)
	// set y position: a field type
	vl.y().fieldQ('horsepower').scale({ zero: false }), // don't start with 0 (axis value)
	//vl.color().fieldN('origin'), // additional channel: Color
	vl.color().fieldQ('weight'), // Color can also represent quantitative attr
	vl.size().fieldQ('mpg'), // additional channel: Size
	vl.tooltip().fieldN('name')  // set up a tooltip: Nominal(categorical) field
	);

//// Example 2.
// .markBar()
// .encode(
// vl.x().fieldN('origin').sort('-y'),
// vl.y().fieldQ('cylinders'),
// vl.color().fieldN('name'),
// vl.tooltip().fieldN('cylinders')
// );


//// Example 3.
// .markPoint({ 
// filled: true, 
// strokeWidth:0,
// size: 900,
// opacity: 0.2,
// color: '#f5008f'
// })
